Bug 1615360 - lighttpd-1.4.50 is available
Summary: lighttpd-1.4.50 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lighttpd
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-13 12:20 UTC by Upstream Release Monitoring
Modified: 2018-10-17 11:04 UTC (History)
4 users (show)

Fixed In Version: lighttpd-1.4.50-1.fc27 lighttpd-1.4.50-1.fc28 lighttpd-1.4.50-1.el7
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-22 10:43:32 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1639043 0 unspecified CLOSED update of lighttpd package from 1.4.49 to 1.4.50 causes pi-hole admin console to fail at startup. 2021-02-22 00:41:40 UTC

Internal Links: 1639043

Description Upstream Release Monitoring 2018-08-13 12:20:46 UTC
Latest upstream release: 1.4.50
Current version/release in rawhide: 1.4.49-5.fc29
URL: http://www.lighttpd.net/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1817/

Comment 1 Fedora Update System 2018-08-13 14:25:39 UTC
lighttpd-1.4.50-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-29e4b3eb1b

Comment 2 Fedora Update System 2018-08-13 14:25:48 UTC
lighttpd-1.4.50-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-be770f97a6

Comment 3 Fedora Update System 2018-08-13 14:25:54 UTC
lighttpd-1.4.50-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-dce803ff0d

Comment 4 Fedora Update System 2018-08-14 20:36:12 UTC
lighttpd-1.4.50-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-29e4b3eb1b

Comment 5 Fedora Update System 2018-08-14 21:19:28 UTC
lighttpd-1.4.50-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-dce803ff0d

Comment 6 Fedora Update System 2018-08-14 22:41:43 UTC
lighttpd-1.4.50-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-be770f97a6

Comment 7 Fedora Update System 2018-08-22 10:43:32 UTC
lighttpd-1.4.50-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2018-08-22 11:37:04 UTC
lighttpd-1.4.50-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-08-30 03:38:09 UTC
lighttpd-1.4.50-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Laine Stump 2018-10-14 19:13:03 UTC
I have a pi-hole virtual machine based on Fedora 28. When yum update grabbed lighttpd-1.4.50, the pi-hole admin interface stopped working. Here is the relevant error from journalctl:

lighttpd[1205]:  2018-10-13 20:20:59: (configfile.c.1451) pclose "cat external.conf 2>/dev/null"failed: Success
lighttpd[1205]: 2018-10-13 20:20:59: (configfile.c.1289) source: /etc/lighttpd/lighttpd.conf line: 94 pos: 1 parser failed somehow near here: (EOL)
systemd[1]: lighttpd.service: Main process exited, code=exited, status=255/n/a
systemd[1]: lighttpd.service: Failed with result 'exit-code'.

(lighttpd.conf is a file installed by pi-hole, *not* the stock conf file that is installed with lighttpd). When I downgrade to lighttpd-1.4.49, the problem disappears, so it may be a problem with pi-hole, but if so it's still a change in lighttpd that is causing the problem to show itself.

I just filed a separate BZ for this problem, but thought I should mention it here too: Bug 1639043

Comment 11 Glenn S 2018-10-17 11:04:23 UTC
It is an improvement in lighttpd 1.4.50.  If an include_shell command fails, lighttpd config parsing stops.

Your reported issue is in Pi-hole lighttpd sample configs.  A pull request was submitted upstream to Pi-hole: https://github.com/pi-hole/pi-hole/pull/2468


Note You need to log in before you can comment on or make changes to this bug.